<?php

namespace Tests\Statistic\Http\Controllers;

use Modules\Statistic\Http\Controllers\ChargeTJController;
use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class ChargeTJControllerTest extends UsedTestCase
{

    public function testList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/statistic/charge/list', [
//            'user_id' => 10,
            'limit' => 3,
            'start_at' => '2023-06-03',
            'end_at' => '2023-06-04',
        ]);

//        $res->dump();
        $this->dumpJson($res);
    }
    public function testlistTotalCharge()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/statistic/charge/listTotalCharge', [
//            'user_id' => 10,
            'limit' => 3,
            'start_at' => '2023-06-03',
            'end_at' => '2023-06-04',
        ]);

//        $res->dump();
        $this->dumpJson($res);
    }
    public function testtodayCharge()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/statistic/charge/todayCharge', [
        ]);

//        $res->dump();
        $this->dumpJson($res);
    }
}
